---
updatedAt: 2025-07-30T16:15:25.000Z
agentTools:
  projectIndex: https://docs.supplierxm.salsify.com/llms.txt
---

# Create RFP

## List of errors

All errors will follow this pattern :

```json
{
    "message": "You don't have the permission to perform this action",
    "status": 403,
    "data": {
        ...
    }
}
```

You will often find more details in the `data` object and when there are several errors on a bulk update, you will find the list of errors in the `errors` array.

<HTMLBlock>{`
<table class="errors-table">
    <thead>
        <tr>
            <th>Status</th>
            <th>Message</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td rowspan=4>400</td>
            <td>Too many RFPs, maximum is 1000</td>
        </tr>
        <tr>
            <td>
              Error during rfps bulk upserting<br/>
              <i>You will find the list of errors in the \`data.errors\` array</i>
            </td>
        </tr>
        <tr>
            <td>Bad parameter in rfps</td>
        </tr>
        <tr>
            <td>Payload malformed: {error}</td>
        </tr>
        <tr>
            <td rowspan=1>403</td>
            <td>You don't have the permission to perform this action</td>
        </tr>
        <tr>
            <td rowspan=2>404</td>
            <td>business unit(s) not found</td>
        </tr>
        <tr>
            <td>Supplier(s) {supplier_ids} not found<br/>supplier not found</td>
        </tr>
        <tr>
            <td rowspan=2>409</td>
            <td>Duplicate rfp for business unit and supplier</td>
        </tr>
        <tr>
            <td>rfp(s) already exists</td>
        </tr>
        <tr>
            <td rowspan=1>500</td>
            <td>Internal server error</td>
        </tr>
    </tbody>
</table>

<style>
	.errors-table td {
    text-align: center;
  }
  .errors-table td:last-of-type {
    text-align: left;
  }
</style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "tenders-public-retailer",
    "version": "2.1"
  },
  "servers": [
    {
      "url": "https://apis.supplierxm.salsify.com/rfp/public/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "x-default": "SALSIFY_TOKEN",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/rfps": {
      "post": {
        "summary": "Create RFP",
        "description": "",
        "operationId": "create-rfp",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "rfps": {
                    "properties": {
                      "business_unit": {
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "description": "The uuid of the business unit"
                          }
                        },
                        "required": [
                          "uuid"
                        ],
                        "type": "object"
                      },
                      "supplier": {
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "Your internal id for the supplier you are inviting to the tender. NB: corresponds to the internalID of one of your suppliers imported via the supplier directory."
                          }
                        },
                        "required": [
                          "id"
                        ],
                        "type": "object"
                      }
                    },
                    "required": [],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"data\": [\n        {\n            \"sent\": false,\n            \"status\": \"NOT_SENT\",\n            \"supplier\": [\n                {\n                    \"id\": \"UNIQUE-ID-SUPPLIER\"\n                }\n            ],\n            \"data\": {\n                \"limitDate\": \"2022-03-27\"\n            },\n            \"business_unit\": {\n                \"uuid\": \"UNIQUE-ID-BU\"\n            },\n            \"uuid\": \"UNIQUE-ID-RFP\",\n            \"declined\": false,\n            \"last_chased_at\": null,\n            \"chased\": false\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "sent": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "status": {
                            "type": "string",
                            "example": "NOT_SENT"
                          },
                          "supplier": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "UNIQUE-ID-SUPPLIER"
                                }
                              }
                            }
                          },
                          "data": {
                            "type": "object",
                            "properties": {
                              "limitDate": {
                                "type": "string",
                                "example": "2022-03-27"
                              }
                            }
                          },
                          "business_unit": {
                            "type": "object",
                            "properties": {
                              "uuid": {
                                "type": "string",
                                "example": "UNIQUE-ID-BU"
                              }
                            }
                          },
                          "uuid": {
                            "type": "string",
                            "example": "UNIQUE-ID-RFP"
                          },
                          "declined": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "last_chased_at": {},
                          "chased": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://apis.supplierxm.salsify.com/rfp/public/v1/rfps \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer SALSIFY_TOKEN' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n        {\n          \"rfps\": [\n            {\n              \"business_unit\": {\n                \"uuid\": \"UNIQUE-ID-BU\"\n              },\n              \"supplier\": {\n                \"id\": \"UNIQUE-ID-SUPPLIER\"\n              }\n            }\n          ]\n        }'\t"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```